<?
# $Id: arkeia.php,v 1.15.2.1 2002/03/25 22:48:16 bservies Exp $
#
# Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
#
include_once('ServerScriptHelper.php');
include_once('Error.php');

#
# main
#

# A reference to this page to clean up some code
$url = '/knox/arkeia/arkeia.php';

#
# Declare an array to hold errors that will be reported to the UI by displaying
# the page.
#
$errors = array();

# Get connected to CCE
$helper = new ServerScriptHelper();
$cce = $helper->getCceClient();

if (isset($action) && $action == 'save') {
	# We are saving the changes from the post before re-displaying
	$cce->setObject('System', array('enabled' => $enabled,
	    'server' => $server, 'port' => $port), 'Arkeia');
	$errors = $cce->errors();
}

# Acquire the Arkeia configuration object to get the current values
$obj = $cce->getObject('System', array(), 'Arkeia');
$errors = array_merge($errors, $cce->errors());
if ($obj == null) {
	# Create an object with the appropriate default values
	$obj = array(
	    'enabled' => 0,
	    'port' => 617,
	    'server' => ''
	);
}


#
# Display the page.  UIFC takes care of switching between post'ed information
# and the given values, which is handy in the case of post's.
#

# Connect to UIFC and create a factory to generate the page.
$factory = $helper->getHtmlComponentFactory('knox-arkeia',
    $url . '?action=save');
$page = $factory->getPage();
$block = $factory->getPagedBlock('settings');

# Create the enabled, host, and port widgets on the appropriate pages
$block->addFormField($factory->getBoolean('enabled', $obj['enabled']),
    $factory->getLabel('enabled'));
$block->addFormField($factory->getNetAddress('server', $obj['server']),
    $factory->getLabel('server'));

#
# Separate the port settings to indicate they are for advanced use.  They
# would be on a separate page, but with only 3 items, that is a waste...
#
$block->addDivider($factory->getLabel('firewall', false));
$block->addFormField($factory->getInteger('port', $obj['port'], 1),
    $factory->getLabel('port'));

# Add the buttons necessary to store the new data
$block->addButton($factory->getSaveButton($page->getSubmitAction()));
$block->addButton($factory->getCancelButton($url));

# Handle any errors that the page may have.
$block->processErrors($errors);

# Emit the page (cough up the html!)
print($page->toHeaderHtml());
print($block->toHtml());
print($page->toFooterHtml());

$helper->destructor();
?>

